'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const index$1 = require('./index-dbc5b08f.js');
const store = require('./store-d570e98c.js');
require('./default-language-4c779255.js');

const dyteLeaveButtonCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteLeaveButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Variant */
    this.variant = 'button';
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.leave = () => {
      this.stateUpdate.emit({ activeLeaveConfirmation: true });
      store.state.activeLeaveConfirmation = true;
    };
  }
  render() {
    const text = this.t('leave');
    return (index.h(index.Host, { label: text }, index.h("dyte-controlbar-button", { size: this.size, iconPack: this.iconPack, class: "leave", onClick: this.leave, icon: this.iconPack.call_end, label: text, variant: this.variant })));
  }
};
DyteLeaveButton.style = dyteLeaveButtonCss;

exports.dyte_leave_button = DyteLeaveButton;
