'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const string = require('./string-fd5038ca.js');
const defaultUiConfig = require('./default-ui-config-8a058612.js');
const index$2 = require('./index-7a96dd15.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const index$1 = require('./index-dbc5b08f.js');
const gracefulStorage = require('./graceful-storage-945bc8be.js');
const store = require('./store-d570e98c.js');
const versionTwoApis = require('./versionTwoApis-9c9006ae.js');
require('./default-language-4c779255.js');

const dyteSetupScreenCss = ":host{box-sizing:border-box;padding:var(--dyte-space-4, 16px);height:100%;min-height:100%;width:100%;font-family:var(--dyte-font-family, sans-serif);display:flex;place-items:center;justify-content:center;--dyte-controlbar-button-background-color:rgb(var(--dyte-colors-background-700, 44 44 44))}.container{width:100%;max-width:1080px;display:flex;align-items:center;justify-content:space-evenly}.metadata{width:100%;max-width:var(--dyte-space-80, 320px)}.label{display:flex;flex-direction:column;align-items:center}.label p{margin-top:var(--dyte-space-0, 0px);margin-bottom:var(--dyte-space-2, 8px);font-size:14px}.name{margin:var(--dyte-space-0, 0px);margin-bottom:var(--dyte-space-6, 24px);text-align:center;font-size:28px;font-weight:500;letter-spacing:-0.025em;overflow:hidden;display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:1}input{margin-bottom:var(--dyte-space-6, 24px);display:block;height:var(--dyte-space-10, 40px);width:100%;max-width:var(--dyte-space-80, 320px);border-radius:var(--dyte-border-radius-sm, 4px);--tw-bg-opacity:1;background-color:rgba(var(--dyte-colors-background-1000, 8 8 8) / var(--tw-bg-opacity));padding-left:var(--dyte-space-3, 12px);padding-right:var(--dyte-space-3, 12px);color:rgb(var(--dyte-colors-text-1000, 255 255 255));box-sizing:border-box;font-size:16px;outline:2px solid transparent;outline-offset:2px;transition-property:color, background-color, border-color, fill, stroke, opacity, box-shadow, transform, filter, -webkit-text-decoration-color, -webkit-backdrop-filter;transition-property:color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter;transition-property:color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter, -webkit-text-decoration-color, -webkit-backdrop-filter;transition-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transition-duration:150ms}input::-moz-placeholder{color:rgb(var(--dyte-colors-text-600, 255 255 255 / 0.52))}input:-ms-input-placeholder{color:rgb(var(--dyte-colors-text-600, 255 255 255 / 0.52))}input::placeholder{color:rgb(var(--dyte-colors-text-600, 255 255 255 / 0.52))}input{border:var(--dyte-border-width-sm, 1px) solid rgb(var(--dyte-colors-background-600, 60 60 60))}input:focus{--tw-border-opacity:1;border-color:rgba(var(--dyte-colors-brand-500, 33 96 253) / var(--tw-border-opacity))}dyte-spinner{color:rgb(var(--dyte-colors-text-1000, 255 255 255));--icon-size:var(--dyte-space-8, 32px)}:host([size='sm']) .container,:host([size='md']) .container{height:100%;flex-direction:column;justify-content:space-evenly}dyte-camera-toggle{margin-left:var(--dyte-space-1\\.5, 6px)}dyte-participant-tile{height:auto;width:100%;max-width:var(--dyte-space-96, 384px)}";

const DyteSetupScreen = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Config object */
    this.config = defaultUiConfig.defaultConfig;
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.isJoining = false;
    this.canEditName = true;
    this.join = () => {
      var _a, _b;
      if (this.displayName !== '') {
        this.isJoining = true;
        (_a = this.meeting) === null || _a === void 0 ? void 0 : _a.self.setName(this.displayName);
        gracefulStorage.gracefulStorage.setItem('dyte-display-name', this.displayName);
        (_b = this.meeting) === null || _b === void 0 ? void 0 : _b.joinRoom();
      }
    };
  }
  connectedCallback() {
    this.meetingChanged(this.meeting);
  }
  meetingChanged(meeting) {
    var _a;
    if (meeting != null) {
      this.canEditName = versionTwoApis.isV2Permissions(meeting.self.permissions)
        ? true
        : (_a = meeting.self.permissions.canEditDisplayName) !== null && _a !== void 0 ? _a : true;
      this.displayName = meeting.self.name;
    }
  }
  render() {
    var _a, _b;
    const disabled = this.displayName.trim() === '';
    const defaults = {
      meeting: this.meeting,
      config: this.config,
      states: this.states || store.state,
      size: this.size,
      iconPack: this.iconPack,
      t: this.t,
    };
    return (index.h(index.Host, null, index.h("div", { class: "container" }, index.h(index$2.Render, { element: "dyte-participant-tile", defaults: defaults, props: { participant: (_a = this.meeting) === null || _a === void 0 ? void 0 : _a.self, size: 'md' }, childProps: { participant: (_b = this.meeting) === null || _b === void 0 ? void 0 : _b.self, size: 'md' }, deepProps: true }), index.h("div", { class: "metadata" }, this.displayName.trim() === '' ? (index.h("div", { class: "name" }, this.t('Hello there!'))) : (index.h("div", { class: "label" }, index.h("p", null, this.t('Joining as')), index.h("div", { class: "name" }, string.shorten(this.displayName, 20)))), this.canEditName && (index.h("input", { placeholder: this.t('Your name'), value: this.t(this.displayName), autoFocus: true, onInput: (e) => {
        this.displayName = e.target.value;
      }, onKeyDown: (e) => {
        if (e.key === 'Enter') {
          this.join();
        }
      } })), index.h("dyte-button", { size: "lg", kind: "wide", onClick: this.join, disabled: disabled }, this.isJoining ? index.h("dyte-spinner", null) : 'Join')))));
  }
  static get watchers() { return {
    "meeting": ["meetingChanged"]
  }; }
};
DyteSetupScreen.style = dyteSetupScreenCss;

exports.dyte_setup_screen = DyteSetupScreen;
