import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const dyteStageCss = ":host{display:block;position:relative;font-family:var(--dyte-font-family, sans-serif)}";

const DyteStage$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return dyteStageCss; }
}, [1, "dyte-stage"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["dyte-stage"];
  components.forEach(tagName => { switch (tagName) {
    case "dyte-stage":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, DyteStage$1);
      }
      break;
  } });
}

const DyteStage = DyteStage$1;
const defineCustomElement = defineCustomElement$1;

export { DyteStage, defineCustomElement };
