import { EventEmitter } from '../../stencil-public-runtime';
import { IconPack } from '../../lib/icons';
import { Meeting, MediaPermission } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { ControlBarVariant } from '../dyte-controlbar-button/dyte-controlbar-button';
/**
 * A button which toggles your camera.
 */
export declare class DyteCameraToggle {
  private videoUpdateListener;
  private mediaPermissionErrorListener;
  /** Variant */
  variant: ControlBarVariant;
  /** Meeting object */
  meeting: Meeting;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  videoEnabled: boolean;
  canProduceVideo: boolean;
  cameraPermission: MediaPermission;
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  private hasPermissionError;
  private toggleCamera;
  private getState;
  render(): any;
}
