import { IconPack } from '../../lib/icons';
import { Size } from '../../types/props';
export declare type ControlBarVariant = 'button' | 'horizontal';
/**
 * A skeleton component used for composing buttons.
 */
export declare class DyteControlbarButton {
  /** Variant */
  variant: ControlBarVariant;
  /** Whether to show warning icon */
  showWarning: boolean;
  /** Size */
  size: Size;
  /** Label of button */
  label: string;
  /** Icon */
  icon: string;
  /**
   * Loading state
   * Ignores current icon and shows a spinner if true
   */
  isLoading: boolean;
  /** Whether button is disabled */
  disabled: boolean;
  /** Icon Pack */
  iconPack: IconPack;
  render(): any;
}
