import { DytePlugin } from '@dytesdk/web-core';
import { IconPack } from '../../lib/icons';
import { Meeting, Peer } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
import { UIConfig } from '../../types/ui-config';
interface ScreenshareTab {
  type: 'screenshare';
  participant: Peer;
}
interface PluginTab {
  type: 'plugin';
  plugin: DytePlugin;
}
declare type ActiveTab = ScreenshareTab | PluginTab;
/**
 * A grid component which handles screenshares, plugins and participants.
 */
export declare class DyteMixedGrid {
  /** Participants */
  participants: Peer[];
  /** Pinned Participants */
  pinnedParticipants: Peer[];
  /** Screenshare Participants */
  screenShareParticipants: Peer[];
  /** Active Plugins */
  plugins: DytePlugin[];
  /**
   * Aspect Ratio of participant tile
   *
   * Format: `width:height`
   */
  aspectRatio: string;
  /** Gap between participant tiles */
  gap: number;
  /** Size */
  size: Size;
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** UI Config */
  config: UIConfig;
  /** Icon Pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  activeTab: ActiveTab;
  host: HTMLDyteMixedGridElement;
  componentWillLoad(): void;
  screenShareParticipantsChanged(participants?: Peer[]): void;
  pluginsChanged(plugins: DytePlugin[]): void;
  private revalidateActiveTab;
  private reassignActiveTab;
  private shouldShowSwitcher;
  render(): any;
}
export {};
