import { EventEmitter } from '../../stencil-public-runtime';
import { IconPack } from '../../lib/icons';
import { Meeting } from '../../types/dyte-client';
import { Size, States } from '../../types/props';
/**
 * A component which lets a user manage remote access requests for their screen.
 */
export declare class DyteRemoteAccessManager {
  acceptedRequestId: string;
  /** Meeting object */
  meeting: Meeting;
  /** States object */
  states: States;
  /** Size */
  size: Size;
  /** Icon pack */
  iconPack: IconPack;
  /** Language */
  t: import("../../lib/lang").DyteI18n;
  /** Emits updated state data */
  stateUpdate: EventEmitter<States>;
  disconnectedCallback(): void;
  meetingChanged(meeting: Meeting): void;
  render(): any;
}
