import { EventEmitter } from '../../stencil-public-runtime';
import { Placement } from '@floating-ui/dom';
import { Size } from '../../types/props';
export declare type TooltipVariant = 'primary' | 'secondary';
export declare type TooltipKind = 'inline' | 'block';
/**
 * Tooltip component which follows Dyte's Design System.
 *
 * @slot - Default slot for trigger
 * @slot tooltip - Slot for content inside the tooltip
 */
export declare class DyteMenu {
  private triggerEl;
  private tooltipEl;
  private arrowEl;
  /** Tooltip label */
  label: string;
  /** Tooltip variant */
  variant: TooltipVariant;
  /** Disabled */
  disabled: boolean;
  /** Open */
  open: boolean;
  /** Tooltip kind */
  kind: TooltipKind;
  /** Size */
  size: Size;
  /** Placement of menu */
  placement: Placement;
  /** Delay before showing the tooltip */
  delay: number;
  isInFocus: boolean;
  /** Event handler called when the open state of the tooltip changes. */
  dyteOpenChange: EventEmitter<boolean>;
  componentDidLoad(): void;
  openChanged(open: boolean): void;
  private update;
  private showMenu;
  private hideMenu;
  render(): any;
}
